Bug 881337 - AttributeError: 'GemCheckRequiresRubygems' object has no attribute 'spec_packages'
Summary: AttributeError: 'GemCheckRequiresRubygems' object has no attribute 'spec_pack...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 18:21 UTC by Miroslav Suchý
Modified: 2013-03-11 19:35 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-04 22:24:37 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2012-11-28 18:21:31 UTC
Description of problem:
Review of rubygems packages produce traceback

Version-Release number of selected component (if applicable):
fedora-review-0.3.1-2.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. fedora-review -b 881016
  
Actual results:
in ~/.cache/fedora-review.log:
11-28 19:15 root         DEBUG    Run command: rpm -qpl /home/msuchy/881016-rubygem-audited/results/rubygem-audited-doc-3.0.0-1.fc17.noarch.rpm
11-28 19:15 root         DEBUG    Run command: rpm -qpl /home/msuchy/881016-rubygem-audited/results/rubygem-audited-3.0.0-1.fc17.noarch.rpm
11-28 19:15 root         DEBUG    Running check: GemCheckRequiresRubygems
11-28 19:15 root         DEBUG    Exception down the road...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 183, in run
    self._do_run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 176, in _do_run
    self.__do_report()
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 75, in __do_report
    self.__run_checks(self.bug.spec_file, self.bug.srpm_file)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 89, in __run_checks
    writedown=not Settings.no_report)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 310, in run_checks
    run_check(name)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 292, in run_check
    check.run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/check_base.py", line 274, in run
    self.run_on_applicable()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/ruby.py", line 298, in run_on_applicable
    for pkg_name in self.spec_packages:
AttributeError: 'GemCheckRequiresRubygems' object has no attribute 'spec_packages'
11-28 19:15 root         ERROR    Exception down the road...(logs in ~/.cache/fedora-review.log


Expected results:
no errors

Comment 1 Alec Leamas 2012-12-10 13:40:47 UTC
Typo fixed in devel (in commit d4f44903).

Comment 2 Russell Harrison 2013-01-09 21:46:44 UTC
(In reply to comment #1)
> Typo fixed in devel (in commit d4f44903).

I tried patching my local files based off of that commit and now I'm seeing the following in ~/.cache/fedora-review.log:

01-09 16:17 root         DEBUG    Run command: rpm -qpl /home/rharriso/rpmbuild/review-rubygem-zbxapi/results/rubygem-zbxapi-0.2.415-1.fc17.noarch.rpm
01-09 16:17 root         DEBUG    Run command: rpm -qpl /home/rharriso/rpmbuild/review-rubygem-zbxapi/results/rubygem-zbxapi-doc-0.2.415-1.fc17.noarch.rpm
01-09 16:17 root         DEBUG    Running check: GemCheckRequiresRubygems
01-09 16:17 root         DEBUG    Exception down the road...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 183, in run
    self._do_run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 176, in _do_run
    self.__do_report()
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 75, in __do_report
    self.__run_checks(self.bug.spec_file, self.bug.srpm_file)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 89, in __run_checks
    writedown=not Settings.no_report)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 310, in run_checks
    run_check(name)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 292, in run_check
    check.run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/check_base.py", line 274, in run
    self.run_on_applicable()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/ruby.py", line 298, in run_on_applicable
    for pkg_name in self.spec.packages:
AttributeError: 'SpecFile' object has no attribute 'packages'
01-09 16:17 root         ERROR    Exception down the road...(logs in ~/.cache/fedora-review.log)

Comment 3 Fedora Update System 2013-01-29 17:20:53 UTC
fedora-review-0.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-1.fc17

Comment 4 Fedora Update System 2013-01-29 17:21:34 UTC
fedora-review-0.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-1.fc18

Comment 5 Fedora Update System 2013-01-29 17:22:16 UTC
fedora-review-0.4.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-1.el6

Comment 6 Fedora Update System 2013-01-29 20:02:02 UTC
Package fedora-review-0.4.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-review-0.4.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0216/fedora-review-0.4.0-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-04 21:02:57 UTC
fedora-review-0.4.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-2.el6

Comment 8 Fedora Update System 2013-02-04 21:03:36 UTC
fedora-review-0.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-2.fc17

Comment 9 Fedora Update System 2013-02-04 21:04:06 UTC
fedora-review-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-2.fc18

Comment 10 Fedora Update System 2013-02-08 15:40:31 UTC
fedora-review-0.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-3.fc18

Comment 11 Fedora Update System 2013-02-08 16:05:22 UTC
fedora-review-0.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-3.fc17

Comment 12 Fedora Update System 2013-02-21 13:23:50 UTC
fedora-review-0.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc18

Comment 13 Fedora Update System 2013-02-21 13:24:38 UTC
fedora-review-0.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc17

Comment 14 Fedora Update System 2013-02-21 13:25:47 UTC
fedora-review-0.4.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.el6

Comment 15 Fedora Update System 2013-03-04 22:24:39 UTC
fedora-review-0.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-03-04 22:26:39 UTC
fedora-review-0.4.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-03-11 19:35:56 UTC
fedora-review-0.4.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.